/* 
    Slow solution for numbers
	Complexity: O((B-A)*length)
	Expected score: 50
	
	Written by Yaroslav Tverdokhlib
*/
#define _CRT_SECURE_NO_DEPRECATE
#include <algorithm>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cstring>
using namespace std;
#define mp make_pair
#define x first
#define y second
#define pii pair<int,int>
#define INF 1000000000
#define FOR(i,a,b) for (int _n(b), i(a); i <= _n; i++)
#define all(c) (c).begin(), (c).end()
#define rept(i,n) FOR(i,0,(n)-1)
#define L(s) (int)((s).size())
int d,i,j,n,m,k;
string a,b,c;
#include <sstream>
#define ll long long
inline int check(ll a,ll b)
{
	int ans=0;
	while (a>0 || b>0)
	{
		ans+=(a%10-b%10)*(a%10-b%10);
		a/=10;
		b/=10;
	}
	return ans;
}
inline pair<string,string> solve(string a,string b,string c)
{
	istringstream ia(a);
	istringstream ib(b);
	istringstream ic(c);
	ll l,r,cc;
	ia>>l;
	ib>>r;
	ic>>cc;
	ll a1=1000000000000000000LL,a2=-1000000000000000000LL;
	int s1=INF,s2=-INF;
	for (ll i=l;i<=r;++i)
	{
		int cur=check(i,cc);
		if (cur<s1)
		{
			s1=cur;
			a1=i;
		}
		if (cur>=s2)
		{
			s2=cur;
			a2=i;
		}
	}
	ostringstream o1,o2;
	o1<<a1;
	o2<<a2;
	return mp(o1.str(),o2.str());
}
inline void prepare (string &a,string &b,string &c)
{
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	d=max(L(a),max(L(b),L(c)));
	while (L(a)<d) a+="0";
	while (L(b)<d) b+="0";
	while (L(c)<d) c+="0";
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	if (a>b) swap(a,b);
}
int main()
{
	freopen("numbers.dat","r",stdin);
	freopen("numbers.sol","w",stdout);
	cin>>a>>b>>c;
	prepare(a,b,c);
	pair<string,string> ans=solve(a,b,c);
	cout<<ans.x<<endl;
	cout<<ans.y<<endl;
}
